Bug 5209 - [Designer] Crashes when trying to create a new layout
Summary: [Designer] Crashes when trying to create a new layout
Status: VERIFIED FIXED
Alias: None
Product: Android
Classification: Xamarin
Component: Designer (show other bugs)
Version: 4.2.x
Hardware: PC Mac OS
: --- normal
Target Milestone: ---
Assignee: Lluis Sanchez
URL:
Depends on:
Blocks:
 
Reported: 2012-05-21 12:55 UTC by Stephen Shaw
Modified: 2014-01-20 10:35 UTC (History)
2 users (show)

See Also:
Tags:
Is this bug a regression?: ---
Last known good build:


Attachments

Description Stephen Shaw 2012-05-21 12:55:28 UTC
As, reported by someone else on stackoverflow:

Since updating to version 3.0.1 of MonoDevelop, I've been unable to work with layout files. When I create a new layout file and then try to edit it from the "Source" tab, I get the following error:

*********************************************************************************
System.InvalidOperationException: Layout not yet loaded
at Xamarin.AndroidDesigner.DesignerSession.SetLayoutXml (System.String xml, Boolean allowUndo) [0x000bf] in /Users/builder/data/lanes/monodevelop-mac-3.0.1/6642975f/source/md-addins/MonoDevelop.MonoDroid/Xamarin.AndroidDesigner/Xamarin.AndroidDesigner/DesignerSession.cs:353 
at MonoDevelop.MonoDroid.Gui.LayoutSourceEditorView.SaveContent () [0x00025] in /Users/builder/data/lanes/monodevelop-mac-3.0.1/6642975f/source/md-addins/MonoDevelop.MonoDroid/MonoDevelop.MonoDroid/Gui/AndroidDesignerView.cs:641 
at MonoDevelop.MonoDroid.Gui.LayoutSourceEditorView.Deselected () [0x00000] in /Users/builder/data/lanes/monodevelop-mac-3.0.1/6642975f/source/md-addins/MonoDevelop.MonoDroid/MonoDevelop.MonoDroid/Gui/AndroidDesignerView.cs:670 
at MonoDevelop.Ide.Gui.SdiWorkspaceWindow.SetCurrentView (Int32 newIndex) [0x00032] in /Users/builder/data/lanes/monodevelop-mac-3.0.1/6642975f/source/monodevelop/main/src/core/MonoDevelop.Ide/MonoDevelop.Ide.Gui/SdiWorkspaceWindow.cs:571 
at MonoDevelop.Ide.Gui.SdiWorkspaceWindow+<AddButton>c__AnonStoreyB0.<>m__169 (System.Object sender, System.EventArgs e) [0x00033] in /Users/builder/data/lanes/monodevelop-mac-3.0.1/6642975f/source/monodevelop/main/src/core/MonoDevelop.Ide/MonoDevelop.Ide.Gui/SdiWorkspaceWindow.cs:488 
at MonoDevelop.Components.Tab.OnActivated (System.EventArgs e) [0x0000d] in /Users/builder/data/lanes/monodevelop-mac-3.0.1/6642975f/source/monodevelop/main/src/core/MonoDevelop.Ide/MonoDevelop.Components/Tabstrip.cs:396 
at MonoDevelop.Components.Tab.Activate () [0x00000] in /Users/builder/data/lanes/monodevelop-mac-3.0.1/6642975f/source/monodevelop/main/src/core/MonoDevelop.Ide/MonoDevelop.Components/Tabstrip.cs:244 
at MonoDevelop.Ide.Gui.SdiWorkspaceWindow.ActiveDocumentChanged (System.Object sender, System.EventArgs e) [0x0000b] in /Users/builder/data/lanes/monodevelop-mac-3.0.1/6642975f/source/monodevelop/main/src/core/MonoDevelop.Ide/MonoDevelop.Ide.Gui/SdiWorkspaceWindow.cs:501 
at (wrapper delegate-invoke) <Module>:invoke_void__this___object_EventArgs (object,System.EventArgs)
at (wrapper delegate-invoke) <Module>:invoke_void__this___object_EventArgs (object,System.EventArgs)
at (wrapper delegate-invoke) <Module>:invoke_void__this___object_EventArgs (object,System.EventArgs)
at (wrapper delegate-invoke) <Module>:invoke_void__this___object_EventArgs (object,System.EventArgs)
at (wrapper delegate-invoke) <Module>:invoke_void__this___object_EventArgs (object,System.EventArgs)
at (wrapper delegate-invoke) <Module>:invoke_void__this___object_EventArgs (object,System.EventArgs)
at (wrapper delegate-invoke) <Module>:invoke_void__this___object_EventArgs (object,System.EventArgs)
at MonoDevelop.Ide.Gui.Workbench.OnDocumentChanged (System.Object s, System.EventArgs a) [0x0000b] in /Users/builder/data/lanes/monodevelop-mac-3.0.1/6642975f/source/monodevelop/main/src/core/MonoDevelop.Ide/MonoDevelop.Ide.Gui/Workbench.cs:606 
at MonoDevelop.Ide.Gui.DefaultWorkbench.OnActiveWindowChanged (System.Object sender, System.EventArgs e) [0x00075] in /Users/builder/data/lanes/monodevelop-mac-3.0.1/6642975f/source/monodevelop/main/src/core/MonoDevelop.Ide/MonoDevelop.Ide.Gui/DefaultWorkbench.cs:749
at Gtk.Notebook.SwitchPageSignalCallback (IntPtr arg0, IntPtr arg1, UInt32 arg2, IntPtr gch) [0x00000] in <filename unknown>:0 
*********************************************************************************


I haven't found a bug indicating others are experiencing this. Could it be a configuration issue of some sort in my environment? I'm using Mono for Android 4.2.1.196198126.
Comment 1 Lluis Sanchez 2012-05-25 07:24:49 UTC
This has been fixed.
Comment 2 Saurabh 2014-01-20 10:35:40 UTC
We have checked this issue with master builds and latest android sample:

XS 4.2.3 (build 127) 
Git revision: 781819ed590c05a48201be53eb9602b56a4c1fde
Xamarin addins: cc120a6f639fa6649aa4d23a0f0e7c5701134

mono-android-4.13.0-33(Master for Mac)
mono-android-4.13.00004(Master for Windows)

Now, we rae able to I create a new layout file and then able to edit it from the
"Source" tab successfully.

Screencast: http://screencast.com/t/ew1Yo7F7

Hence, closing this issue.

Notice (2018-05-21): bugzilla.xamarin.com will be switching to read-only mode on Thursday, 2018-05-25 22:00 UTC.

Please join us on Visual Studio Developer Community and GitHub to continue tracking issues. Bugzilla will remain available for reference in read-only mode. We will continue to work on open Bugzilla bugs and copy them to the new locations as needed for follow-up. The See Also field on each Bugzilla bug will be updated with a link to its new location when applicable.

After Bugzilla is read-only, if you have new information to add for a bug that does not yet have a matching issue on Developer Community or GitHub, you can create a follow-up issue in the new location. Copy and paste the title and description from this bug, and then add your new details. You can get a pre-formatted version of the title and description here:

In special cases you might also want the comments:

Our sincere thanks to everyone who has contributed on this bug tracker over the years. Thanks also for your understanding as we make these adjustments and improvements for the future.

Note You need to log in before you can comment on or make changes to this bug.